> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flow Run

> Get Flow Run



## OpenAPI

````yaml GET /v1/flow-runs/{id}
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/flow-runs/{id}:
    get:
      tags:
        - flow-runs
      description: Get Flow Run
      parameters:
        - schema:
            pattern: ^[0-9a-zA-Z]{21}$
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    type: string
                  updated:
                    type: string
                  projectId:
                    type: string
                  flowId:
                    type: string
                  parentRunId:
                    type: string
                  failParentOnFailure:
                    type: boolean
                  tags:
                    type: array
                    items:
                      type: string
                  flowVersionId:
                    type: string
                  flowVersion:
                    type: object
                    properties:
                      displayName:
                        type: string
                  logsFileId:
                    type: string
                    nullable: true
                  tasks:
                    type: number
                  status:
                    anyOf:
                      - type: string
                        enum:
                          - FAILED
                      - type: string
                        enum:
                          - QUOTA_EXCEEDED
                      - type: string
                        enum:
                          - INTERNAL_ERROR
                      - type: string
                        enum:
                          - PAUSED
                      - type: string
                        enum:
                          - QUEUED
                      - type: string
                        enum:
                          - RUNNING
                      - type: string
                        enum:
                          - SUCCEEDED
                      - type: string
                        enum:
                          - MEMORY_LIMIT_EXCEEDED
                      - type: string
                        enum:
                          - TIMEOUT
                  duration:
                    type: number
                  startTime:
                    type: string
                  finishTime:
                    type: string
                  environment:
                    anyOf:
                      - type: string
                        enum:
                          - PRODUCTION
                      - type: string
                        enum:
                          - TESTING
                  steps:
                    type: object
                    nullable: true
                    additionalProperties: {}
                  failedStepName:
                    type: string
                  stepNameToTest:
                    type: string
                required:
                  - id
                  - created
                  - updated
                  - projectId
                  - flowId
                  - failParentOnFailure
                  - flowVersionId
                  - status
                  - startTime
                  - environment
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````